#include "SysTypes.r"
#include "Types.r"

#ifdef PowerPCBuild
#include "CodeFragmentTypes.r"
#endif

resource 'MENU' (128, preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About GetDragHiliteColor", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, preload) {
	129,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 1 elements */
		/* [1] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MBAR' (128, "App Menu") {
	{	/* array MenuArray: 2 elements */
		/* [1] */
		128,
		/* [2] */
		129
	}
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	getFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	100000,
	100000
};

resource 'ALRT' (128) {
	{68, 64, 238, 346},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'DITL' (128) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{132, 180, 157, 262},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 14, 124, 260},
		StaticText {
			disabled,
			"A bare bones application showing how to "
			"obtain the color used by the Drag"
			" Manager to hilite regions"
			"\n"
			"\n"
			"By Nitin Ganatra, 9/94"
		}
	}
};


#ifdef PowerPCBuild
resource 'cfrg' (0,sysheap,locked)
{
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"GetDragHiliteColor"
	}
};
#endif